Bug 1737633 - python2-moksha-hub fails to install due to missing Python 2 dependencies (was removed)
Summary: python2-moksha-hub fails to install due to missing Python 2 dependencies (wa...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-moksha-hub
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI 1737530 1737532 1737534 1737535 1737579 1737642 1737643 1737804 1738468 1738469 1739656
TreeView+ depends on / blocked
 
Reported: 2019-08-05 22:39 UTC by Miro Hrončok
Modified: 2019-09-04 09:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-04 09:14:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-05 22:39:42 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install python2-moksha-hub
Problem: conflicting requests
 - nothing provides python2-stomper needed by python2-moksha-hub-1.5.17-1.fc30.noarch

Comment 1 Lumír Balhar 2019-08-06 05:35:30 UTC
The last build of python-moksha-hub (from yesterday) does not provide python 2 subpackage.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1347214

Comment 2 Miro Hrončok 2019-08-06 08:47:34 UTC
Lumír, given the dependent bugs, I doubt this will be the best solution of the problem.

OTOH if the dependents want python2-moksha-hub, they can package their own, however such thing should be properly communicated.

Comment 3 Lumír Balhar 2019-08-06 10:18:25 UTC
I understand, and I apologize but the problem did not start in python-moksha-hub. I wasn't able to build python2-moksha-hub because python2-stomper was removed from rawhide and python2-stomper cannot be build because there is no python2-future etc. I think that the chain of FTBFS packages is longer.

I can, of course, enable python2-moksha-hub back but it'd need to bring back python2-stomper, python2-future and maybe more packages.

Comment 4 Miro Hrončok 2019-08-06 10:19:58 UTC
OK. Let's see what the dependent package maintainers will say.

Comment 5 Ben Cotton 2019-08-13 16:51:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 17:50:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Lumír Balhar 2019-08-15 06:49:14 UTC
Are there any bugs open for the lack of python2-stomper and python2-future this one can depend on?

I am afraid that if we don't fix this soon other dependencies will disappear from rawhide.

Comment 8 Miro Hrončok 2019-08-15 07:40:39 UTC
> Are there any bugs open for the lack of python2-stomper and python2-future this one can depend on?

No. That's why this and all the other bugs were opened, so the maintainers could decide whether they want the packages back or get rid of them.

So far, either they have removed it or they kept silent.

Comment 9 Miro Hrončok 2019-08-21 15:47:04 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 10 Lumír Balhar 2019-08-22 05:40:45 UTC
(In reply to Miro Hrončok from comment #9)
> See
> https://fedoraproject.org/wiki/Changes/
> F31_Mass_Python_2_Package_Removal#Removing_non-
> installable_packages_from_the_distro
> 
> "Packages still failing to install due to a missing Python 2 dependency will
> be retired at Beta Freeze, assuming they have a Bugzilla bug open for at
> least 2 weeks. The package maintainer may postpone this retirement to the
> Final Freeze by promising to fix it until then."
> 
> Let me know if this package shall not be retired yet. The beta freeze is at
> 2019-08-29, the final freeze is at 2019-10-08.

This is not applicable here. Python 2 subpackage was removed and it's still not clear whether I'll revert the change or not.

Comment 11 Miro Hrončok 2019-08-22 12:08:42 UTC
Noted. Sorry, the comment was mass posted.

Comment 12 Miro Hrončok 2019-09-04 09:14:15 UTC
Well, there was no interest of the dependent package maintainers, all of the consumers should be gone now.


Note You need to log in before you can comment on or make changes to this bug.